import { ElementRef, Renderer2, OnDestroy, OnInit } from '@angular/core';
export declare class StopPropagationDirective implements OnInit, OnDestroy {
    private elementRef;
    private renderer;
    uiStopPropagation: Array<string> | string;
    private callbacks;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private addEvent(eventType);
}
